<? $this->headScript()
		//->appendFile('/js/tiny_mce/tiny_mce.js', 'text/javascript')
		->appendFile(_st('private-about-me.js'), 'text/javascript');
?>
<?php
if(!function_exists('render_lng_picker')){
	function render_lng_picker() {
		$html = '<div class="lng-picker">';

		foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $id => $title ) {
			$html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
		}

		$html .= '</div>';

		return $html;
	}
}
?>

<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

<fieldset>
	<legend><?= __('pv2_section_about_me') ?></legend>
	<div class="body">
		<div class="inner">
			<?= render_lng_picker() ?>
			<span class="tip" title="<?= __('pv2_tip_about_me') ?>"></span>
			<div name="about_me_text"></div>
			<div class="error old-err">*</div>
			<div class="clear"></div>
		</div>

		<div class="inner">
		<? foreach ( /*array_reverse(*/Cubix_I18n::getLangs(false)/*)*/ as $lng => $title ): ?>
			<div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
				<textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" cols="80" rows="10"><?= $this->data['about_' . $lng] ?></textarea>
			</div>
		<? endforeach ?>
		</div>
	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_section_additional_information') ?></legend>
	<? $options = array(1 => __('yes'), 2 => __('no'), 3 => __('ocasionally')) ?>
	<div class="body">
		<div class="inner">
			<label class="block"><?= __('pv2_label_smoking') ?>:</label>
			<dl class="options-inline">
				<? foreach ( $options as $i => $opt ): ?>
				<dt>
					<input id="smoking-<?= $i ?>" type="radio" name="is_smoking" value="<?= $i ?>"<?= $this->data['is_smoking'] == $i ? ' checked="checked"' : '' ?> />
					<label for="smoking-<?= $i ?>"><?= $opt ?></label>
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner">
			<label class="block"><?= __('pv2_label_drinking') ?>:</label>
			<dl class="options-inline">
				<? foreach ( $options as $i => $opt ): ?>
				<dt>
					<input id="drinking-<?= $i ?>" type="radio" name="is_drinking" value="<?= $i ?>"<?= $this->data['is_drinking'] == $i ? ' checked="checked"' : '' ?> />
					<label for="drinking-<?= $i ?>"><?= $opt ?></label>
				</dt>
				<? endforeach ?>
			</dl>

			<div class="clear"></div>
		</div>

		<div class="inner vindent long">
			<label for="showname"><?= __('pv2_label_special_characteristics') ?></label>
			<input id="showname" class="txt" type="text" name="characteristics" value="<?= $this->data['characteristics'] ?>" size="40" />

			<span class="tip" title="<?= __('pv2_tip_special_characteristics') ?>"></span>

			<div class="clear"></div>
		</div>
	</div>
</fieldset>
